{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "name": "ml",
            "type": "cppdbg",
            "request": "launch",
            "program": "${workspaceFolder}/build/ml",
            "args": [],
            "stopAtEntry": false,
            "cwd": "${workspaceFolder}",
            "environment": [],
            "externalConsole": false,
            "MIMode": "lldb"
        }, 
        {
            "name": "ml -f debug.lsp",
            "type": "cppdbg",
            "request": "launch",
            "program": "${workspaceFolder}/build/ml",
            "args": ["-f", "${workspaceFolder}/debug.lsp"],
            "stopAtEntry": false,
            "cwd": "${workspaceFolder}",
            "environment": [],
            "console": "externalTerminal",
            "MIMode": "lldb"
        }
    ]
}